G_DIFF
1
BRL-CAD
BRL-CAD

# g_diff

a BRL-CAD differential geometry comparator

      g_diff-m
        -f
        -v
        model1.g
        model2.g

## DESCRIPTION

G_diff compares the two BRL-CAD models specified on the command line. The results of this comparison are written to standard out in a human readable form describing the changes from model1 to model2. If the `-m` option is exercised, the output will be a script, readable by mged(1), that will perform the necessary changes to model1 to make it a copy of model2. The produced script makes extensive use of the db get, db put, and db adjust commands in mged(1). A few solid types are not supported by these commands, and changes involving these solids are merely noted (the script will not actually be capable of performing all the changes in this case). The `-e` option selections evolutionary mode, which attempts to guess if a change in a region is due to an evolutionary change or a reworking. The output is similar to -m, but it is NOT mged readable. The `-f` option requests that all floating point numerical comparisons be done in single precision rather than the default double precision. This may be useful when comparing different format databases. The `-v` option requests that the default attributes of each region in both files be checked for consistency. Any inconsistencies are written to stderr.

The program returns 0 if the files being compared have no differences and non-zero otherwise.

## EXAMPLE

The command

g_diff -m uncle.g aunt.g > mged.script

will create a file named "mged.script" that may be sourced in mged(1) to change uncle.g into aunt.g.

## SEE ALSO

mged 1

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1999-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.